# Bridged Networking / Virtual NIC

#### Introduction <a href="#introduction" id="introduction"></a>

Bridged networking allows you to attach an additional virtual network interface to an antlet. This virtual NIC will connect to one of the physical ethernet ports on the rear of the Antsle by way of an internal bridge. Then the antlet can be accessed directly on the local LAN.

#### Antsle one, Antsle one Pro, Antsle one Ultra (sn# 100x-)

![](/files/-M-Ba5oaIuI5Eebjxz56)

| Ethernet port | Bridge name | Interface name | Speed       |
| ------------- | ----------- | -------------- | ----------- |
| Port 0        | br0         | enp0s20f0      | 10M/100M/1G |
| Port 1        | br1         | enp0s20f1      | 10M/100M/1G |
| Port 2        | br2         | enp0s20f2      | 10M/100M/1G |
| Port 3        | br3         | enp0s20f3      | 10M/100M/1G |

#### Antsle one D, Antsle one D+, Antsle one D Pro, Antsle one D Ultra (sn# 103x-)

![](/files/-M-Ba5oaIuI5Eebjxz56)

| Ethernet Port | Bridge name | Interface name | Speed       |
| ------------- | ----------- | -------------- | ----------- |
| Port 0        | br0         | eno1           | 10M/100M/1G |
| Port 1        | br1         | eno2           | 10M/100M/1G |
| Port 2        | br2         | eno3           | 10M/100M/1G |
| Port 3        | br3         | eno4           | 10M/100M/1G |

#### Antsle one XD, Antsle one XD Pro, Antsle one XD Ultra (sn# 101x-)

![](/files/-M-BaA4_bWPOzSlsxVxv)

| Ethernet port | Bridge name | Interface name | Speed       |
| ------------- | ----------- | -------------- | ----------- |
| Port 0        | br0         | eno1           | 10M/100M/1G |
| Port 1        | br1         | eno2           | 10M/100M/1G |
| Port 2        | br2         | eno3           | 1G/10G      |
| Port 3        | br3         | eno4           | 1G/10G      |

#### Antsle one XD

![](/files/-M-BaEZdWAA07EVaSLh8)

| Ethernet port | Bridge name | Interface name | Speed  |
| ------------- | ----------- | -------------- | ------ |
| Port 0        | br0         | eno3           | 1G/10G |
| Port 1        | br1         | eno4           | 1G/10G |

### Enable bridging <a href="#enable-bridging" id="enable-bridging"></a>

Ethernet port 0 is enabled for bridging by default. You can connect your antlets to this bridge port by configuring a 'Virtual NIC' in the antlet details page [(discussed later)](https://docs.antsle.com/networking/bridge#connect-antlet-directly-to-public-internet) - with no additional configuration here.

Navigate to the 'Network' page on antMan.\
&#x20;

![](/files/-LzmuAScp6yH10JXwgov)

![](/files/-LzmuVSZ0T2aTAVUvO5v)

**br0** is enabled by default and is your access to antman and to your antlets on the 10.1.1.x network. You should leave this enabled and connected to the LAN.

Note: Enabling an additional port is not necessary if you want your antlets bridged to the same local network as br0. When you configure a virtual NIC on an antlet you can choose this same port - br0. Your antlets and the Antsle can co-exist on this ethernet port. You can think of br0, br1... as internal switches that you can connect multiple antlets to in order to share the same physical port.

#### Enable another interface by checking its checkbox.

![](/files/-LzmupreECgAXFLdz9nT)

#### Click the 'Edit' button to configure DHCP or set a static address.

&#x20;**Important: Heed the DHCP warning about having a wired connection!**

![](/files/-M-BaLwb7q4_PnJjs_t7)

#### Restart the Antsle

Restart the Antsle and confirm the settings are good when it comes back up.\
If you cannot access antman after reboot, the Antsle will revert back to the last working configuration in {minutes}.

![](/files/-Lzmv2igJaANkDXY9RRI)

### Configure Virtual NIC <a href="#configure-virtual-nic" id="configure-virtual-nic"></a>

#### Enter the antlet details page

Click on the antlet name in antman.<br>

![Click on the antlet name](/files/-LzsxPkRP0OEAD5ut0aV)

#### Choose the 'Virtual Network' tab

Click 'New virtual NIC'<br>

![](/files/-M-BbZGAz9ckQ4G4CX59)

#### Choose a bridge/ethernet port

You can have multiple antlets on the same physical port. In this example I will leave it on br0.\
The 'Model' should be 'e1000' for Windows antlets or if the OS does not have virtio drivers. Any flavor of Linux should support VirtIO.

![](/files/-M-BbcRNViIpM1pVRjkO)

#### Click 'Create virtual NIC'

Now you have an additional Virtual NIC attached to this antlet and exposed to the network of the physical ethernet port.

![](/files/-M-BbetW2xkcht7NViZH)

#### Stop and Start the antlet.

Check the operating system of the antlet to configure the new NIC.\
See [Configure IP address](https://docs.antsle.com/bridgevnic/#configure-ip-address) to learn how to configure IP addresses for different operating systems.

![](/files/-M-Bbmd_5MQu_rGtYMH1)

### Connect antlet directly to public internet <a href="#connect-antlet-directly-to-public-internet" id="connect-antlet-directly-to-public-internet"></a>

Antsle is designed to [multiplex](https://docs.antsle.com/antlets/access-antlets#access-antlets-by-domain-name) all your virtual servers under a single public IP address. If you have the luxury of having multiple static public IP addresses from your ISP then you can connect an antlet directly to one of those addresses.

First connect the Antsle to the the public interface provided by your ISP. This could be the modem or a router port configured for 'bridge' mode.

Then create a virtual NIC in your antlet as [explained above](/networking/bridge.md#configure-virtual-nic) and assign it to the same interface that is connected to the public internet.

Configure the IP address in the antlet as [described below](https://docs.antsle.com/networking/bridge#configure-ip-address). Be sure and configure the correct subnet mask and gateway address.

Here is an example for Debian/Ubuntu. Be sure to place the configuration for eth1, the virtual NIC, before eth0 in the configuration file

*Adjust the addresses to your needs*

```
auto eth1
iface eth1 inet static
 address 70.168.1.105
 netmask 255.255.255.240
 gateway 70.168.1.1

auto eth0
iface eth0 inet dhcp
```

### Configure IP Address <a href="#configure-ip-address" id="configure-ip-address"></a>

After adding an additional network interface to an antlet you will need to configure the IP address in the operating system of that antlet.<br>

* [Debian/Ubuntu/Raspian](/networking/bridge.md#debianubuntu)
* [CentOS](/networking/bridge.md#centos)
* [Windows](/networking/bridge.md#windows)

#### Debian/Ubuntu/Raspian <a href="#debianubuntu" id="debianubuntu"></a>

**Connect to the antlet via ssh**

In this case it is best to ssh to the antlet from within antsleOS. See [Log in to your antlets](/get-started/log-in-to-the-edgelinux-os-and-antlets.md)

```
ssh myantsle.local
ssh 10.1.1.x
```

After enabling the new virtual NIC, ssh with the -p option no longer works but now you have direct access via the new IP address assigned to the virtual NIC.

**Get the interface name**

To list the interfaces run:

```
ip addr show
```

Your new NIC will most likely be called `eth1@if36`. We only need the `eth1` part.\
`eth0` should have the Antsle's internal 10.1.1.x address.

![](/files/-M-BbsTDgHhmCKD3oVG0)

**Edit configuration file**

*Debian and Ubuntu 16.04:*  Open the configuration file for editing with your preferred editor. Nano, Vi...\
For Ubuntu 16.04 KVM or ubuntu-xenial LXC

```
nano /etc/network/interfaces
```

To configure DHCP, add the following to the top of the configuration file

```
auto eth1
iface eth1 inet dhcp
```

For a Static IP address, add the following to the top of the configuration file\
\&#xNAN;*Adjust the addresses to your needs*

```
auto eth1
iface eth1 inet static
 address 192.168.1.105
 netmask 255.255.255.0
 gateway 192.168.1.1
 dns-nameservers 192.168.1.1
```

**Restart network service**

```
ifup eth1
```

#### ***Ubuntu 18.04 (netplan)***

Ubuntu 18.04 uses 'netplan' by default. Open the netplan .yaml configuration file with your preferred editor - Nano, Vi...\
For Ubuntu 18.04 KVM or LXC

```
nano /etc/netplan/50-cloud-init.yaml
or
nano /etc/netplan/10-lxc.yaml
```

To configure DHCP, add the interface (eth1 in this example) and enable 'dhcp' for the interface Here we are adding the 'eth1:' section

```
network:
  version: 2
  ethernets:
    eth0:
      dhcp4: true
    eth1:
      dhcp4: true
```

For a Static IP address, the interface section would look like this

```
eth1:
  dhcp4: false
  addresses:
    - 192.168.1.33/24
  gateway4: 192.168.1.1
  nameservers:
    addresses:
      - 192.168.1.1
      - 8.8.8.8
```

Be sure to use consistent indentation in the .yaml files\
Apply the changes with

```
netplan apply
```

Adjust the addresses to your needs\
I used the interface name 'eth1' in these examples but yours may be different.\
Yaml does allow items to use different syntax, e.g. 'lists' can use \[192.168.1.1, 8.8.8.8].

You can verify your changes by listing the interfaces again

```
ip addr show
```

.

#### CentOS <a href="#centos" id="centos"></a>

**Connect to the antlet via ssh**

In this case it is best to ssh to the antlet from within antsleOS. See [Log in to your antlets](/get-started/log-in-to-the-edgelinux-os-and-antlets.md)

```
ssh myantsle.local
ssh 10.1.1.x
```

After enabling the new virtual NIC, ssh with the -p option may no longer work, but now you have direct access via the new IP address assigned to the virtual NIC.

**Get the interface name of the new Bridged NIC**

To list the interfaces run:

```
ip addr
```

Your new NIC will most likely be called `eth1`.  Interface `eth0` should have the Antsle's internal 10.1.1.x address and the new bridged interface, `eth1` , may or may not have acquired an address from DHCP.

```
[root@antlet12 ~]# ip a s
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether b2:61:6e:73:6c:0c brd ff:ff:ff:ff:ff:ff
    inet 10.1.1.12/24 brd 10.1.1.255 scope global dynamic eth0
       valid_lft 3555sec preferred_lft 3555sec
    inet6 fe80::b061:6eff:fe73:6c0c/64 scope link
       valid_lft forever preferred_lft forever
3: eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:8a:05:c5 brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.194/24 brd 192.168.1.255 scope global dynamic eth1
       valid_lft 86356sec preferred_lft 86356sec
```

**Configuration file**

In CentOS 7 the interface configuration file will be stored in

```
/etc/sysconfig/network-scripts/
```

Each NIC will have its own configuration file. These files are named ifcfg-NIC\_NAME\
You can list the configuration files with `ls -1 /etc/sysconfig/network-scripts/ifcfg-*`

```
[root@antlet12 ~]# ls -1 /etc/sysconfig/network-scripts/ifcfg-*
/etc/sysconfig/network-scripts/ifcfg-eth0
/etc/sysconfig/network-scripts/ifcfg-lo
```

Currently there is no configuration file for eth1. Open the configuration file in your favorite editor. If the file does not exist this command will create it.

```
nano /etc/sysconfig/network-scripts/ifcfg-eth1
```

**Configure static IP address**\
Edit the DEVICE, IPADDR, PREFIX, GATEWAY, and DNS1\
DEVICE is the interface name, `eth1`\
IPADDR is the static address you want to assign to this NIC\
PREFIX is the subnet mask number of bits (255.255.255.0 is 24 bits)\
GATEWAY is the gateway for this subnet\
DNS1 is your DNS server address\
DEFROUTE tells the system if you want this Gateway to be the default route. Set this to "no" in the configuration files for other interfaces

```
TYPE="Ethernet"
DEVICE="eth1"

ONBOOT="yes"
IPV4_FAILURE_FATAL="no"

BOOTPROTO="none"
IPADDR="192.168.1.12"
PREFIX="24"
GATEWAY="192.168.1.1"
DEFROUTE="yes"
DNS1="8.8.8.8"

```

**Restart network serverce**

```
systemctl restart network
```

#### Windows <a href="#windows" id="windows"></a>

To configure IP address setting on Windows, Open Control Panel\
Click Network and Internet link<br>

![](/files/-M-BcQuWYce3_QF1jMtO)

Click Network and Sharing Center<br>

![](/files/-M-BcT1v8PjJP5gesvcv)

Click Change Adapter Settings in the left column

![](/files/-M-BcV8DORnY09vvRxfs)

Rt Click the new adapter and choose Properties at the bottom of the context menu

![](/files/-M-BcXMby1a1ZmZvsnrF)

Choose Internet Protocol Version 4 (TCP/IPv4) from the center pane.\
Click the Properties button.<br>

![](/files/-M-BcZqgpjvZBh-ymjsV)

Configure to your needs.

![](/files/-M-BcbC9pbCwSyWt-9-v)

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.antsle.com/networking/bridge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
